ru.bitel.bgbilling.modules.vod.common.bean

## Class Subscriber

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.bgbilling.modules.vod.common.bean.Subscriber

- All Implemented Interfaces:
    java.io.Serializable, Idable

      public class Subscriber
      extends Id

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `STATUS_ACTIVE`
    `static int` | `STATUS_INACTIVE`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Subscriber()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getActivationTime()`
    `int` | `getContractId()`
    `java.lang.String` | `getContractTitle()`
    `java.util.Date` | `getDeactivationTime()`
    `java.lang.String` | `getPin()`
    `int` | `getStatus()`
    `void` | `setActivationTime(java.util.Date activationTime)`
    `void` | `setContractId(int contractId)`
    `void` | `setContractTitle(java.lang.String contractTitle)`
    `void` | `setDeactivationTime(java.util.Date deactivationTime)`
    `void` | `setPin(java.lang.String pin)`
    `void` | `setStatus(int status)`
    `static java.lang.String` | `statusToString(int status)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### STATUS_ACTIVE

          public static final int STATUS_ACTIVE

      See Also:
        Constant Field Values

    - #### STATUS_INACTIVE

          public static final int STATUS_INACTIVE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Subscriber

          public Subscriber()

  - ### Method Detail

    - #### getPin

          public java.lang.String getPin()

    - #### setPin

          public void setPin(java.lang.String pin)

    - #### getContractId

          public int getContractId()

    - #### setContractId

          public void setContractId(int contractId)

    - #### getStatus

          public int getStatus()

    - #### setStatus

          public void setStatus(int status)

    - #### getActivationTime

          public java.util.Date getActivationTime()

    - #### setActivationTime

          public void setActivationTime(java.util.Date activationTime)

    - #### getDeactivationTime

          public java.util.Date getDeactivationTime()

    - #### setDeactivationTime

          public void setDeactivationTime(java.util.Date deactivationTime)

    - #### getContractTitle

          public java.lang.String getContractTitle()

    - #### setContractTitle

          public void setContractTitle(java.lang.String contractTitle)

    - #### statusToString

          public static final java.lang.String statusToString(int status)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `Id`